/* $Id: AbstractDAO.java,v 1.1 2007/11/29 06:01:14 konno Exp $
 *
 * Copyright (c)ARGO 21, Corporation. 2005, 2006.  All rights reserved.
 * 
 * This file is part of Nautica Workflow Core.
 * 
 *  Nautica Workflow Core is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation; either version 2.1 of the License, or
 *  (at your option) any later version.
 * 
 *  Nautica Workflow Core is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 * 
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with Nautica Workflow Core; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *  
 */
package jp.co.argo21.nautica.workflow.dataaccess;

import java.sql.Connection;

import jp.co.argo21.nautica.workflow.engine.LogManager;

import org.apache.log4j.Logger;

/**
 * すべてのDAOの基底クラス
 *
 * @author  nito(Argo 21, Corp.)
 * @version $Revision: 1.1 $
 * @since   Nautica Workflow 1.0
 */
public class AbstractDAO
{
	/** エンジンログ */
	protected static Logger eLog = LogManager.getEngineLogger();
	
	/** コネクション */
	private Connection conn;
	
	/**
	 * DAO規定クラスを生成する。
	 *
	 * @param conn コネクション
	 */
	protected AbstractDAO(Connection conn)
	{
		this.conn = conn;
	}
	
	/**
	 * コネクションを返す。
	 *
	 * @return コネクション
	 */
	protected Connection getConnection()
	{
		return conn;
	}
}
