package jp.co.argo21.nautica.workflow.soap;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.xml.ws.RequestWrapper;
import javax.xml.ws.ResponseWrapper;

import jp.co.argo21.nautica.workflow.omg.WorkflowException;
import jp.co.argo21.nautica.workflow.soap.message.User;

@WebService(name="UserManager",
        targetNamespace = "http://www.argo21.co.jp/nautica/workflow/soap/message")
public interface UserManager {

	/**
	 * uidに対応するユーザを返す。
	 *
	 * @param uid ユーザID
	 * @return ユーザ
	 * @throws ServiceAccessorException  通信障害等によりワークフローエンジンと接続できない場合
	 * @throws WorkflowException 
	 */
	@WebMethod(operationName = "getUser")
	@WebResult(name = "return", targetNamespace = "http://www.argo21.co.jp/nautica/workflow/soap/message")
	@RequestWrapper(localName = "getUser", targetNamespace = "http://www.argo21.co.jp/nautica/workflow/soap/message", className = "jp.co.argo21.nautica.workflow.soap.GetUser")
	@ResponseWrapper(localName = "getUserResponse", targetNamespace = "http://www.argo21.co.jp/nautica/workflow/soap/message", className = "jp.co.argo21.nautica.workflow.soap.GetUserResponse")   
	public User getUser(@WebParam(name = "uid") String uid) throws ServiceAccessorException, WorkflowException;
	
}